/*
SpeciesChecker
by Cory McKay

CLASS NAME:		AboutDialog
CLASS TYPE:		GUI - dialog box
DESCRIPTION:	A dialog box that displays program and author information.
*/


import java.awt.*;
import java.awt.event.*;
import javax.swing.*;


class AboutDialog extends JDialog
{
	/* CONSTRUCTOR *************************************************************/


	public AboutDialog(JFrame owner)
	{
		// Give the dialog box its owner, its title and make it modal
		super(owner, "About SpeciesChecker", true);
		Container contentPane = getContentPane();


		// Add label to centre
		contentPane.add(new JLabel("<HTML><H1><I>SpeciesChecker 1.0</I></H1><HR>"
			+ "<p>Cory McKay<br>University of Guelph<br>Honours Music Project</HTML>"),
		BorderLayout.CENTER);


		// Add OK button to close the dialog box
		JButton ok = new JButton("Ok");
		ok.addActionListener(new
		ActionListener()
		{
			public void actionPerformed(ActionEvent evt)
			{
				setVisible(false);
			}
		});


		// Display components
		JPanel panel = new JPanel();
		panel.add(ok);
		contentPane.add(panel, BorderLayout.SOUTH);
		setSize(250, 205);
	}
}